# -*- encoding: binary -*-
# Copyright (C) 2013, Eric Wong <normalperson@yhbt.net> and all contributors
# License: GPLv3 or later (https://www.gnu.org/licenses/gpl-3.0.txt)
class Yahns::Sigevent < SleepyPenguin::EventFD # :nodoc:
  include Kgio::DefaultWaiters
  def self.new
    super(0, SleepyPenguin::EventFD::CLOEXEC)
  end

  def sev_signal
    incr(1) # eventfd_write
  end

  def yahns_step
    value(true) # eventfd_read, we ignore this data
    :wait_readable
  end
end
